Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Data Fields
iseq_label_data Struct Reference

## Data Fields
LINK_ELEMENT | link
int | label_no
int | position
int | sc_state
int | sp
int | refcnt
unsigned int | set: 1
unsigned int | rescued: 2
unsigned int | unremovable: 1

## Detailed Description

Definition at line 62 of file compile.c.

## Field Documentation

## ◆ label_no

int iseq_label_data::label_no

Definition at line 64 of file compile.c.

## ◆ link

LINK_ELEMENT iseq_label_data::link

Definition at line 63 of file compile.c.

## ◆ position

int iseq_label_data::position

Definition at line 65 of file compile.c.

## ◆ refcnt

int iseq_label_data::refcnt

Definition at line 68 of file compile.c.

## ◆ rescued

unsigned int iseq_label_data::rescued

Definition at line 70 of file compile.c.

## ◆ sc_state

int iseq_label_data::sc_state

Definition at line 66 of file compile.c.

## ◆ set

unsigned int iseq_label_data::set

Definition at line 69 of file compile.c.

## ◆ sp

int iseq_label_data::sp

Definition at line 67 of file compile.c.

## ◆ unremovable

unsigned int iseq_label_data::unremovable

Definition at line 71 of file compile.c.

The documentation for this struct was generated from the following file:

- compile.c